/* @(#)46	1.6  src/bos/usr/include/rpcsvc/ypup_prot.h, libcyp, bos610 5/18/07 02:08:38 */
/* 
 * COMPONENT_NAME: (LIBCYP) Yellow Pages Library
 * 
 * FUNCTIONS: 
 *
 * ORIGINS: 24 
 *
 * Copyright (c) 1986 Sun Microsystems, Inc.
 */
/* 
 * (#)ypupdate_prot.h	1.2 88/03/31 4.0NFSSRC; from 1.4 88/02/08 
 * Copyr 1986, Sun Micro 
 */
#ifndef _H_rpcsvc_ypup_prot
#define _H_rpcsvc_ypup_prot 
  
#include <rpc/types.h>
#include <rpc/xdr.h>
#include <sys/types.h>

#define MAXMAPNAMELEN 255
#define MAXYPDATALEN 1023
#define MAXERRMSGLEN 255

#define YPU_PROG ((u_long)100028)
#define YPU_VERS ((u_long)1)
#define YPU_CHANGE ((u_long)1)
extern u_int *ypu_change_1();
#define YPU_INSERT ((u_long)2)
extern u_int *ypu_insert_1();
#define YPU_DELETE ((u_long)3)
extern u_int *ypu_delete_1();
#define YPU_STORE ((u_long)4)
extern u_int *ypu_store_1();


typedef struct {
	u_int yp_buf_len;
	char *yp_buf_val;
} yp_buf;
#if __cplusplus
extern "C"
#endif
bool_t xdr_yp_buf(XDR *, yp_buf *);


struct ypupdate_args {
	char *mapname;
	yp_buf key;
	yp_buf datum;
};
typedef struct ypupdate_args ypupdate_args;
#if __cplusplus
extern "C"
#endif
bool_t xdr_ypupdate_args(XDR *, ypupdate_args *);


struct ypdelete_args {
	char *mapname;
	yp_buf key;
};
typedef struct ypdelete_args ypdelete_args;
#if __cplusplus
extern "C"
#endif
bool_t xdr_ypdelete_args(XDR *, ypdelete_args *);

#endif /*_H_rpcsvc_ypup_prot*/
